Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 727286

Summary: net-wireless/gnuradio-3.8.1.0 error: cannot convert ‘const string’ to ‘pmt::pmt_t’
Product: Gentoo Linux Reporter: Esteve Varela Colominas <esteve.varela>
Component: Current packagesAssignee: Radio Herd <radio>
Status: RESOLVED FIXED    
Severity: normal CC: adborden, dan, dev, gentoo, jstein, kripton, orodruinlair, wgh, Xeha, zerochaos
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge --info
emerge -pqv
environment
build.log

Description Esteve Varela Colominas 2020-06-06 09:20:52 UTC
Created attachment 643590 [details]
emerge --info

Trying to upgrade to gnuradio 3.8 on my mostly-stable system results in the following error:

gr-blocks/swig/CMakeFiles/blocks_swig0.dir/blocks_swig0PYTHON_wrap.cxx: In function ‘PyObject* _wrap_file_meta_sink_make(PyObject*, PyObject*, PyObject*)’:
gr-blocks/swig/CMakeFiles/blocks_swig0.dir/blocks_swig0PYTHON_wrap.cxx:8053:106: error: cannot convert ‘const string’ {aka ‘const std::__cxx11::basic_string<char>’} to ‘pmt::pmt_t’ {aka ‘boost::shared_ptr<pmt::pmt_base>’}
 8053 |       result = gr::blocks::file_meta_sink::make(arg1,(std::string const &)*arg2,arg3,arg4,arg5,arg6,arg7,(std::string const &)*arg8,arg9);
      |                                                                                                          ^~~~~~~~~~~~~~~~~~~~~~~~~~
      |                                                                                                          |
      |                                                                                                          const string {aka const std::__cxx11::basic_string<char>}

I'm not entirely sure what causes this, but I'd wager it needs a newer version of boost or swig?
Comment 1 Esteve Varela Colominas 2020-06-06 09:21:19 UTC
Created attachment 643592 [details]
emerge -pqv
Comment 2 Esteve Varela Colominas 2020-06-06 09:21:39 UTC
Created attachment 643594 [details]
environment
Comment 3 Esteve Varela Colominas 2020-06-06 09:55:10 UTC
Created attachment 643596 [details]
build.log
Comment 4 Thomas Beierlein gentoo-dev 2020-06-06 16:26:01 UTC
(In reply to Esteve Varela Colominas from comment #0)
> Created attachment 643590 [details]
> emerge --info
> 
> Trying to upgrade to gnuradio 3.8 on my mostly-stable system results in the
> following error:
> 
> gr-blocks/swig/CMakeFiles/blocks_swig0.dir/blocks_swig0PYTHON_wrap.cxx: In
> function ‘PyObject* _wrap_file_meta_sink_make(PyObject*, PyObject*,
> PyObject*)’:
> gr-blocks/swig/CMakeFiles/blocks_swig0.dir/blocks_swig0PYTHON_wrap.cxx:8053:
> 106: error: cannot convert ‘const string’ {aka ‘const
> std::__cxx11::basic_string<char>’} to ‘pmt::pmt_t’ {aka
> ‘boost::shared_ptr<pmt::pmt_base>’}
>  8053 |       result = gr::blocks::file_meta_sink::make(arg1,(std::string
> const &)*arg2,arg3,arg4,arg5,arg6,arg7,(std::string const &)*arg8,arg9);
>       |                                                                     
> ^~~~~~~~~~~~~~~~~~~~~~~~~~
>       |                                                                     
> |
>       |                                                                     
> const string {aka const std::__cxx11::basic_string<char>}
> 
> I'm not entirely sure what causes this, but I'd wager it needs a newer
> version of boost or swig?

I had the same problem two days ago. Someone on the gnuradio mailing list 
(see https://www.mail-archive.com/discuss-gnuradio@gnu.org/msg70179.html)
suggested deinstallation of former 3.7 version before installing 3.8. That helped.
Comment 5 Esteve Varela Colominas 2020-06-08 14:53:01 UTC
(In reply to Thomas Beierlein from comment #4)
> I had the same problem two days ago. Someone on the gnuradio mailing list 
> (see https://www.mail-archive.com/discuss-gnuradio@gnu.org/msg70179.html)
> suggested deinstallation of former 3.7 version before installing 3.8. That
> helped.

Thanks! That helped me as well. I wonder why this happens, though? I think it should be fixed if possible, either by upstream or by having the ebuild warn the user or error out.
Comment 6 Xeha 2020-07-03 18:24:05 UTC
This bug just hit me too...
I can confirm that unmerging and then emerging it again works.
Comment 7 Jess Haas 2020-12-04 23:27:51 UTC
This package has been refusing to upgrade for a while so I just searched and found this post. Unmerging then merging the new one worked perfectly.
Comment 8 Jess Haas 2020-12-04 23:28:31 UTC
I just want to add that this was with net-wireless/gnuradio-3.8.2.0 so the newer version has not fixed the problem.
Comment 9 Rick Farina (Zero_Chaos) gentoo-dev 2020-12-17 16:52:23 UTC
Are you all building with --nodeps or what?

DEPEND="${RDEPEND}
    !<net-wireless/gnuradio-3.8

Do I need to !! here?
Comment 10 Rick Farina (Zero_Chaos) gentoo-dev 2020-12-18 15:26:27 UTC
Added !!, hope it helps more than it hurts